function::thread_indent
Prev | Chapter 29. Utility functions for using ansi control chars in logs | Next

## Name

function::thread_indent — returns an amount of space with the current task information

## Synopsis

        thread_indent:string(delta:long)

## Arguments

`delta`

  the amount of space added/removed for each call

## Description

This function returns a string with appropriate indentation for a thread. Call it with a small positive or matching negative delta. If this is the real outermost, initial level of indentation, then the function resets the relative timestamp base to zero. The timestamp is as per provided by the __indent_timestamp function, which by default measures microseconds.

Prev | Up | Next
function::indent_depth | Home | function::thread_indent_depth